Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.util
Class BatchMeasures

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.BatchMeasures

    public class BatchMeasures

extends Object

    java fr.inrialpes.exmo.ontosim.util.BatchMeasures [options] ontodir measurefile

where the options are:

        --aligndir=dirname -a dirname Use alignments contained in this directory (load all .rdf or .owl files)
        --output=filename -o filename Output the results in filename (stdout by default)
        --factory=[OWL|JENA|OntologyFactory subclass] -f [OWL|JENA|OntologyFactory subclass] Use the specified factory for loading ontologies
        --weaken=n -w n Suppress n% of the correspondences at random in all alignments
        --threshold -t Tells if the correspondences are suppressed at random of by suppressing the n% of lower confidence
        --help -h                       Print this message

`ontodir` is a directory which contains only the ontologies to compare (ontologies filename must finish by extension .owl or .rdf) `measurefile` is a text file where each line is the name of a measure to compute. examples : VectorSpaceMeasure(fr.inrialpes.exmo.ontosim.vector.CosineVM,vector.model.DocumentCollection$WEIGHT=TFIDF) OntologySpaceMeasure(set.MaxCoupling(entity.EntityLexicalMeasure))

Author:
  jerome D

Field Summary
`static REFilenameFilter` | `filter`
`private static String` | `SEP`

Constructor Summary
`BatchMeasures()`

Method Summary
`static void` | `main(String[] args)`
`static void` | `printUsage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEP

    private static final String SEP

See Also:
  Constant Field Values

### filter

    public static final REFilenameFilter filter

Constructor Detail

### BatchMeasures

    public BatchMeasures()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Parameters:
    `args` -
  Throws:
    `Exception`

### printUsage

    public static final void printUsage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009